Bug 1177702 - Review Request: nodejs-grunt-contrib-htmlmin - Minify HTML
Summary: Review Request: nodejs-grunt-contrib-htmlmin - Minify HTML
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gerard Ryan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1175878
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-29 23:21 UTC by Piotr Popieluch
Modified: 2015-03-23 20:29 UTC (History)
2 users (show)

Fixed In Version: nodejs-grunt-contrib-htmlmin-0.4.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:18:54 UTC
gerard: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2014-12-29 23:21:18 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-grunt-contrib-htmlmin.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-grunt-contrib-htmlmin-0.3.0-1.fc21.src.rpm
Description: Minify HTML
Fedora Account System Username: piotrp

Comment 1 Gerard Ryan 2015-02-26 20:14:40 UTC
I'll review this.

Also, why don't you add your nodejs packages to the nodejs-reviews tracker bug?

Comment 2 Gerard Ryan 2015-02-26 22:58:31 UTC
Approved. Issues section below contains some things that can be improved.

Thanks for packaging!

Issues:
=======
1. URL field should use %{srcname} rather than %{name}, otherwise the
URL is incorrect (see rpmlint section below). This can be changed when
importing to package repo.

2. [!]: Latest version is packaged.
A new version, 0.4.0 has been released since this review was
started. If you don't need 0.3.0 explicitly, you should consider
packaging 0.4.0.

3. [!]: %check is present and all tests pass.
Check is conditionally present, but one of the test deps,
npm(grunt-contrib-jshint) isn't provided by any package in the
distribution. This is acceptable, but consider adding a comment above
the %check section, documenting why the tests are disabled/can't be
run.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/grdryn/1177702-nodejs-grunt-contrib-
     htmlmin/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-contrib-htmlmin-0.3.0-1.fc21.noarch.rpm
          nodejs-grunt-contrib-htmlmin-0.3.0-1.fc21.src.rpm
nodejs-grunt-contrib-htmlmin.noarch: W: spelling-error Summary(en_US) Minify -> Magnify
nodejs-grunt-contrib-htmlmin.noarch: W: spelling-error %description -l en_US Minify -> Magnify
nodejs-grunt-contrib-htmlmin.noarch: W: invalid-url URL: https://github.com/gruntjs/nodejs-grunt-contrib-htmlmin HTTP Error 404: Not Found
nodejs-grunt-contrib-htmlmin.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-contrib-htmlmin.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-htmlmin/node_modules/pretty-bytes /usr/lib/node_modules/pretty-bytes
nodejs-grunt-contrib-htmlmin.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-htmlmin/node_modules/chalk /usr/lib/node_modules/chalk
nodejs-grunt-contrib-htmlmin.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-htmlmin/node_modules/html-minifier /usr/lib/node_modules/html-minifier
nodejs-grunt-contrib-htmlmin.src: W: spelling-error Summary(en_US) Minify -> Magnify
nodejs-grunt-contrib-htmlmin.src: W: spelling-error %description -l en_US Minify -> Magnify
nodejs-grunt-contrib-htmlmin.src: W: invalid-url URL: https://github.com/gruntjs/nodejs-grunt-contrib-htmlmin HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
nodejs-grunt-contrib-htmlmin (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(chalk)
    npm(html-minifier)
    npm(pretty-bytes)



Provides
--------
nodejs-grunt-contrib-htmlmin:
    nodejs-grunt-contrib-htmlmin
    npm(grunt-contrib-htmlmin)



Source checksums
----------------
http://registry.npmjs.org/grunt-contrib-htmlmin/-/grunt-contrib-htmlmin-0.3.0.tgz :
  CHECKSUM(SHA256) this package     : 4460956ad0fdfb222a745e120460107d48473195ea240ebd2783f243d1664c05
  CHECKSUM(SHA256) upstream package : 4460956ad0fdfb222a745e120460107d48473195ea240ebd2783f243d1664c05


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1177702
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Piotr Popieluch 2015-02-27 22:19:24 UTC
Thank you for review.

Updated the package to new version and fixed all issues.

Spec URL: https://piotrp.fedorapeople.org/nodejs-grunt-contrib-htmlmin.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-grunt-contrib-htmlmin-0.4.0-1.fc21.src.rpm

Comment 4 Piotr Popieluch 2015-02-27 22:24:39 UTC
New Package SCM Request
=======================
Package Name: nodejs-grunt-contrib-htmlmin
Short Description: Minify HTML
Upstream URL: https://github.com/gruntjs/grunt-contrib-htmlmin
Owners: piotrp
Branches: f20 f21 f22 el6 epel7

Comment 5 Gwyn Ciesla 2015-02-28 16:09:58 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-03-01 18:49:21 UTC
nodejs-grunt-contrib-htmlmin-0.4.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-htmlmin-0.4.0-1.fc22

Comment 7 Fedora Update System 2015-03-02 23:06:56 UTC
nodejs-grunt-contrib-htmlmin-0.4.0-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 8 Fedora Update System 2015-03-09 08:18:54 UTC
nodejs-grunt-contrib-htmlmin-0.4.0-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 9 Fedora Update System 2015-03-23 20:28:38 UTC
nodejs-grunt-contrib-htmlmin-0.4.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-htmlmin-0.4.0-2.fc21

Comment 10 Fedora Update System 2015-03-23 20:29:21 UTC
nodejs-grunt-contrib-htmlmin-0.4.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-htmlmin-0.4.0-2.el7


Note You need to log in before you can comment on or make changes to this bug.